This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 621105 - backport wireless upstream 2.6.32.18 fixes
backport wireless upstream 2.6.32.18 fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Stanislaw Gruszka
desktop-bugs@redhat.com
:
: 599169 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 05:29 EDT by Stanislaw Gruszka
Modified: 2011-01-13 16:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 621103
Environment:
Last Closed: 2011-01-13 16:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislaw Gruszka 2010-08-04 05:29:31 EDT
+++ This bug was initially created as a clone of Bug #621103 +++

Description of problem:

We have bunch of new mac80211 and wlan drivers bug fixes in 2.6.32 -stable kernel, need to apply them to RHEL5.
Comment 1 RHEL Product and Program Management 2010-08-30 02:49:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Flavio Leitner 2010-08-30 11:34:46 EDT
Customer found an issue where the driver would fail after about 12 hours
of use (I don’t have the stack trace from the kernel handy).
Only a power cycle would allow the hardware to be used again.
He said that after applying the patches below, it works.

Could you confirm if the following patches will be applied?

commit: a420e9f34f545968efdf414de17c374445ef2589
[PATCH] ath9k: fix beacon slot/buffer leak
commit: 1c97637c37d73d0afa0759468eec8132b442452f
[PATCH] ath9k: fix eeprom INI values override for 2GHz-only cards
commit: 20f774c4adc1f0690b300103b3f046c79d82ed99
[PATCH] ath9k: Fix sequence numbers for PAE frames
commit: 31a1e79f7defaeed09b176854a09570a31f4e0fb
[PATCH] ath9k: disable RIFS search for AR91xx based chips
commit: f58a7b783d3642807ba44af27315b83a7d8ae525
[PATCH] ath9k: fix rate control fallback rate selection
commit: 9ba155b84391989fb97ddb210c741d6abc44a613
[PATCH] ath9k: fix beacon timer restart after a card reset
commit: 948dc19cef84be418aadc6b3ade94207c0888937
[PATCH] ath9k: Enable IEEE80211_HW_REPORTS_TX_ACK_STATUS flag for ath9k
commit: 525ad995580f1d760cbf4a3b42df1cba3df6821b
[PATCH] ath9k: Enable TIM timer interrupt only when needed.
commit: fa8e8558a6874707d8e30c85bb386f43cb61a6e1
[PATCH] ath9k: fix BUG_ON triggered by PAE frames
commit: 6b2c1eb8b7f909c827020d2966a7088bd4b253e0
[PATCH] ath9k: add support for 802.11n bonded out AR2427

commit: b260729c8a49452ae9491e3cb94750687f221d2b
[PATCH] mac80211: fix NULL pointer dereference when ftrace is enabled
commit: de30e10d0080bccca8fe56f8dcb75171fffdb695
[PATCH] mac80211: Fix probe request filtering in IBSS mode
commit: 764309980c4e68ea2d3312199e436ac8549e5f84
[PATCH] mac80211: quit addba_resp_timer if Tx BA session is torn down
commit: 8900170d176e29c905d959e515b502debc58219c
[PATCH] mac80211: Reset dynamic ps timer in Rx path. 
commit: 10275a53c5ed0ddc826449d6df052bb41a1fcbce
[PATCH] mac80211: Retry null data frame for power save
commit: afd9fc6961f208b539d6accd49927639d964be23
[PATCH] mac80211: fix deferred hardware scan requests 
commit: a850f39d86b2fa5a0933ccd6c8e91e9e86d62937
[PATCH] mac80211: tear down all agg queues when restart/reconfig hw
commit: 6a45694284d21a5f1f322eea978247edd8916410
[PATCH] mac80211: move netdev queue enabling to correct spot
commit: fb85b86ad4989b8d3aa5cbb2aafc9568a22fd3ce
[PATCH] mac80211: remove bogus TX agg state assignment
commit: 5eef7398c31fcbb13555c8a64ae691034b2cd8be
[PATCH] mac80211: fix rts threshold check
commit: ea85171617b466c677bfa9e67fc1e526b65d4bea
[PATCH] mac80211: Fix robust management frame handling (MFP)

thanks!
Comment 3 Stanislaw Gruszka 2010-08-31 02:19:37 EDT
(In reply to comment #2)
> Could you confirm if the following patches will be applied?
Yes :-)
Comment 4 Stanislaw Gruszka 2010-09-01 07:29:46 EDT
*** Bug 599169 has been marked as a duplicate of this bug. ***
Comment 5 Stanislaw Gruszka 2010-09-02 11:57:36 EDT
Brew build:
https://brewweb.devel.redhat.com/taskinfo?taskID=2728985
Publicly available packages:
http://people.redhat.com/sgruszka/rhel5/bz621105/
Any testing welcome :-)
Comment 26 Jarod Wilson 2010-09-17 10:02:53 EDT
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 28 Linda Wang 2010-11-08 17:40:55 EST
*** Bug 543719 has been marked as a duplicate of this bug. ***
Comment 32 errata-xmlrpc 2011-01-13 16:47:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.